---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.128.0.13/23"],"mac_address":"7a:be:ac:80:00:0e","gateway_ips":["10.128.0.1"],"ip_address":"10.128.0.13/23","gateway_ip":"10.128.0.1"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.128.0.13"
          ],
          "mac": "7a:be:ac:80:00:0e",
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.128.0.13"
          ],
          "mac": "7a:be:ac:80:00:0e",
          "default": true,
          "dns": {}
      }]
    openshift.io/scc: privileged
  creationTimestamp: "2020-05-26T14:11:17Z"
  generateName: authentication-operator-67867b6c8-
  labels:
    app: authentication-operator
    pod-template-hash: 67867b6c8
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:generateName: {}
        f:labels:
          .: {}
          f:app: {}
          f:pod-template-hash: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"2df0f995-2d82-4005-8619-899f6f4432cd"}:
            .: {}
            f:apiVersion: {}
            f:blockOwnerDeletion: {}
            f:controller: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        f:containers:
          k:{"name":"operator"}:
            .: {}
            f:args: {}
            f:command: {}
            f:env:
              .: {}
              k:{"name":"IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"OPERAND_IMAGE_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"OPERATOR_IMAGE_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"POD_NAME"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef:
                    .: {}
                    f:apiVersion: {}
                    f:fieldPath: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/var/run/configmaps/config"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/var/run/configmaps/service-ca-bundle"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:readOnly: {}
              k:{"mountPath":"/var/run/configmaps/trusted-ca-bundle"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:readOnly: {}
              k:{"mountPath":"/var/run/secrets/serving-cert"}:
                .: {}
                f:mountPath: {}
                f:name: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:nodeSelector:
          .: {}
          f:node-role.kubernetes.io/master: {}
        f:priorityClassName: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
        f:volumes:
          .: {}
          k:{"name":"config"}:
            .: {}
            f:configMap:
              .: {}
              f:defaultMode: {}
              f:name: {}
            f:name: {}
          k:{"name":"service-ca-bundle"}:
            .: {}
            f:configMap:
              .: {}
              f:defaultMode: {}
              f:name: {}
              f:optional: {}
            f:name: {}
          k:{"name":"serving-cert"}:
            .: {}
            f:name: {}
            f:secret:
              .: {}
              f:defaultMode: {}
              f:optional: {}
              f:secretName: {}
          k:{"name":"trusted-ca-bundle"}:
            .: {}
            f:configMap:
              .: {}
              f:defaultMode: {}
              f:name: {}
              f:optional: {}
            f:name: {}
    manager: kube-controller-manager
    operation: Update
    time: "2020-05-26T14:11:17Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          .: {}
          k:{"type":"PodScheduled"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
    manager: kube-scheduler
    operation: Update
    time: "2020-05-26T14:15:34Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.ovn.org/pod-networks: {}
    manager: ovnkube
    operation: Update
    time: "2020-05-26T14:17:05Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.v1.cni.cncf.io/network-status: {}
          f:k8s.v1.cni.cncf.io/networks-status: {}
    manager: multus
    operation: Update
    time: "2020-05-26T14:17:07Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.128.0.13"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    time: "2020-05-26T14:22:52Z"
  name: authentication-operator-67867b6c8-cf2h5
  namespace: openshift-authentication-operator
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: ReplicaSet
    name: authentication-operator-67867b6c8
    uid: 2df0f995-2d82-4005-8619-899f6f4432cd
  resourceVersion: "9497"
  selfLink: /api/v1/namespaces/openshift-authentication-operator/pods/authentication-operator-67867b6c8-cf2h5
  uid: a7cf6fe7-7593-4852-b7e5-62fcc27dbf33
spec:
  containers:
  - args:
    - |
      if [ -s /var/run/configmaps/trusted-ca-bundle/ca-bundle.crt ]; then
          echo "Copying system trust bundle"
          cp -f /var/run/configmaps/trusted-ca-bundle/ca-bundle.crt /etc/pki/ca-trust/extracted/pem/tls-ca-bundle.pem
      fi
      exec authentication-operator operator --config=/var/run/configmaps/config/operator-config.yaml --v=2 --terminate-on-files=/var/run/configmaps/trusted-ca-bundle/ca-bundle.crt
    command:
    - /bin/bash
    - -ec
    env:
    - name: IMAGE
      value: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:3c27003bed7051ce0b3f2ec00983c367e54a0e806ad536dcbdfc0131a9e9c3fa
    - name: OPERATOR_IMAGE_VERSION
      value: 0.0.1-2020-05-26-050349
    - name: OPERAND_IMAGE_VERSION
      value: 0.0.1-2020-05-26-050349_openshift
    - name: POD_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.name
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:e19992c2e8ffe6dd5db0546e88b536fc2eed52f7230a6f801bf482472fdb9d23
    imagePullPolicy: IfNotPresent
    name: operator
    resources:
      requests:
        cpu: 10m
        memory: 50Mi
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /var/run/configmaps/config
      name: config
    - mountPath: /var/run/secrets/serving-cert
      name: serving-cert
    - mountPath: /var/run/configmaps/trusted-ca-bundle
      name: trusted-ca-bundle
      readOnly: true
    - mountPath: /var/run/configmaps/service-ca-bundle
      name: service-ca-bundle
      readOnly: true
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: authentication-operator-token-s9qhj
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  nodeName: ip-10-0-147-37.ec2.internal
  nodeSelector:
    node-role.kubernetes.io/master: ""
  priority: 2000000000
  priorityClassName: system-cluster-critical
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext: {}
  serviceAccount: authentication-operator
  serviceAccountName: authentication-operator
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoSchedule
    key: node-role.kubernetes.io/master
    operator: Exists
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 120
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 120
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - configMap:
      defaultMode: 440
      name: authentication-operator-config
    name: config
  - configMap:
      defaultMode: 420
      name: trusted-ca-bundle
      optional: true
    name: trusted-ca-bundle
  - name: serving-cert
    secret:
      defaultMode: 420
      optional: true
      secretName: serving-cert
  - configMap:
      defaultMode: 420
      name: service-ca-bundle
      optional: true
    name: service-ca-bundle
  - name: authentication-operator-token-s9qhj
    secret:
      defaultMode: 420
      secretName: authentication-operator-token-s9qhj
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:17:04Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:22:52Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:22:52Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:17:04Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://fbdfda977bd7a549024aa624be92fdd48e64d64dd1f8cddb4b149ff1cddbfd72
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:e19992c2e8ffe6dd5db0546e88b536fc2eed52f7230a6f801bf482472fdb9d23
    imageID: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:e19992c2e8ffe6dd5db0546e88b536fc2eed52f7230a6f801bf482472fdb9d23
    lastState:
      terminated:
        containerID: cri-o://fecd4766dd04d2e417b9c0ff9b912c67f4e1b1c321bd9b04909882b8431c41be
        exitCode: 0
        finishedAt: "2020-05-26T14:22:37Z"
        reason: Completed
        startedAt: "2020-05-26T14:18:55Z"
    name: operator
    ready: true
    restartCount: 2
    started: true
    state:
      running:
        startedAt: "2020-05-26T14:22:51Z"
  hostIP: 10.0.147.37
  phase: Running
  podIP: 10.128.0.13
  podIPs:
  - ip: 10.128.0.13
  qosClass: Burstable
  startTime: "2020-05-26T14:17:04Z"
